Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Class CanvasGraphicsNode

    java.lang.Object
      org.apache.batik.gvt.AbstractGraphicsNode
          org.apache.batik.gvt.CompositeGraphicsNode
              org.apache.batik.gvt.CanvasGraphicsNode

All Implemented Interfaces:
  Iterable, Collection, List, GraphicsNode

    public class CanvasGraphicsNode

extends CompositeGraphicsNode

The graphics node container with a background color.

Field Summary
`protected Paint` | `backgroundPaint` The background of this canvas graphics node.
`protected AffineTransform` | `positionTransform` This is the position transform for this graphics node.
`protected AffineTransform` | `viewingTransform` This is the viewing transform for this graphics node.

Fields inherited from class org.apache.batik.gvt.CompositeGraphicsNode
`backgroundEnableRgn, children, count, modCount, NULL_RECT, VIEWPORT`

Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, transform, weakRef`

Fields inherited from interface org.apache.batik.gvt.GraphicsNode
`ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

Constructor Summary
`CanvasGraphicsNode()` Constructs a new empty `CanvasGraphicsNode`.

Method Summary
`Paint` | `getBackgroundPaint()` Returns the background paint of this canvas graphics node.
`AffineTransform` | `getPositionTransform()`
`AffineTransform` | `getViewingTransform()`
`void` | `primitivePaint(Graphics2D g2d)` Paints this node without applying Filter, Mask, Composite, and clip.
`void` | `setBackgroundPaint(Paint newBackgroundPaint)` Sets the background paint of this canvas graphics node.
`void` | `setPositionTransform(AffineTransform at)`
`void` | `setViewingTransform(AffineTransform at)`

Methods inherited from class org.apache.batik.gvt.CompositeGraphicsNode
`add, add, addAll, addAll, clear, contains, contains, containsAll, ensureCapacity, get, getBackgroundEnable, getChildren, getGeometryBounds, getOutline, getPrimitiveBounds, getSensitiveBounds, getTransformedBBox, getTransformedGeometryBounds, getTransformedPrimitiveBounds, getTransformedSensitiveBounds, indexOf, invalidateGeometryCache, isEmpty, iterator, lastIndexOf, listIterator, listIterator, nodeHitAt, remove, remove, removeAll, retainAll, set, setBackgroundEnable, setRoot, setVisible, size, subList, toArray, toArray`

Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getRoot, getTransform, getTransformedBounds, getWeakReference, intersects, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, normalizeRectangle, paint, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints, setTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Field Detail

### positionTransform

    protected AffineTransform positionTransform

  This is the position transform for this graphics node. This is needed because getCTM returns the transform to the viewport coordinate system which is after viewing but before positioning.

### viewingTransform

    protected AffineTransform viewingTransform

  This is the viewing transform for this graphics node. This is needed because getCTM returns the transform to the viewport coordinate system which is after viewing but before positioning.

### backgroundPaint

    protected Paint backgroundPaint

  The background of this canvas graphics node.

Constructor Detail

### CanvasGraphicsNode

    public CanvasGraphicsNode()

  Constructs a new empty `CanvasGraphicsNode`.

Method Detail

### setBackgroundPaint

    public void setBackgroundPaint(Paint newBackgroundPaint)

  Sets the background paint of this canvas graphics node.

  Parameters:
    `newBackgroundPaint` - the new background paint

### getBackgroundPaint

    public Paint getBackgroundPaint()

  Returns the background paint of this canvas graphics node.

### setPositionTransform

    public void setPositionTransform(AffineTransform at)

### getPositionTransform

    public AffineTransform getPositionTransform()

### setViewingTransform

    public void setViewingTransform(AffineTransform at)

### getViewingTransform

    public AffineTransform getViewingTransform()

### primitivePaint

    public void primitivePaint(Graphics2D g2d)

  Paints this node without applying Filter, Mask, Composite, and clip.

  Specified by:
    `primitivePaint` in interface `GraphicsNode`
  Overrides:
    `primitivePaint` in class `CompositeGraphicsNode`
  Parameters:
    `g2d` - the Graphics2D to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.